Page MenuHomePhabricator

Create a config option to enable NWE by default
Closed, ResolvedPublic1 Estimate Story Points

Description

Currently NWE can only be enabled as a BetaFeature, but for testing we will want to be able to enable this for all users

Details

Related Gerrit Patches:

Event Timeline

Esanders created this task.Nov 12 2016, 2:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2016, 2:09 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.

We could just set visualeditor-newwikitext to true for short-term testing, but this is for long-term per-user disablement as an option, I assume?

Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Mar 25 2017, 3:25 AM
Jdforrester-WMF lowered the priority of this task from Low to Lowest.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Change 413657 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Make it possible for wikis to have the 2017 wikitext editor by default

https://gerrit.wikimedia.org/r/413657

Change 413657 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make it possible for wikis to have the 2017 wikitext editor by default

https://gerrit.wikimedia.org/r/413657

Jdforrester-WMF removed a project: Patch-For-Review.

One config follow-up to make it settable in production for next week, but this is done.

Deskana closed this task as Resolved.Mar 8 2018, 10:33 AM